<?php



$jSon['retorno'] = "Retorno da Ação!";



$getPost = filter_input_array(INPUT_POST, FILTER_DEFAULT);

$setPost = array_map("strip_tags", $getPost);

$post = array_map("trim", $setPost);



$post['usuario_data'] = date('Y-m-d H:i:s');



$action = $post['action'];

$jSon = array();



unset($post['action']);

unset($post['confirmar_senha']);

unset($post['usuario_localizacao']);

unset($post['newsletter']);





if ($action):

    require ('../../_app/Config.inc.php');

    $Create = new Create;

    $Read = new Read;

endif;



switch ($action):

    case 'create':

        if (in_array('', $post)):

            $jSon['error'] = ["Preencha todos os campos!", "alert"];

        elseif (!Check::Email($post['usuario_email']) || !filter_var($post['usuario_email'], FILTER_VALIDATE_EMAIL)):

            $jSon['error'] = ["Favor informe um email valido!", "error"];

        else:

            $Read->FullRead("SELECT usuario_id FROM tp_usuarios WHERE usuario_email = :email", "email={$post['usuario_email']}");

            if ($Read->getRowCount() > 0):

                $jSon['error'] = ["O e-mail <b>{$post['usuario_email']}</b> já existe em uso!", "error"];

            elseif (isset($post['termos'])):

                unset($post['termos']);



                $emailCriptografado = base64_encode($post['usuario_email']);

                $email['Assunto'] = "Confirme agora seu cadastro no " . SITENAME;

                $email['Mensagem'] = "<img src=\"" . HOME . "/img/logo.png\" align=\"center\"><hr><h3>Olá, {$post['usuario_nome']},</h3> <br> Você iniciou seu cadastro no " . SITENAME . ".<br><br>Para finalizá-lo, precisamos que você valide seu e-mail.<br><br>E-mail cadastrado: {$post['usuario_email']}. <br><br>Para validar, clique no link abaixo:<br><br> <a href=\"" . HOME . "/confirmar/{$emailCriptografado}\">Ativar meu cadastro</a> <br><br>Caso o link não funcione, acesse o endereço abaixo pelo seu navegador:<br><br> " . HOME . "/confirmar/{$emailCriptografado} <br><br><br>Atenciosamente,<br><br>Equipe " . SITENAME . "<br><br><i><small>Não é necessário responder a esse e-mail.</small></i>";

                $email['DestinoNome'] = $post['usuario_nome'];

                $email['DestinoEmail'] = $post['usuario_email'];

                $email['RemetenteNome'] = 'Equipe INEXnet';

                $email['RemetenteEmail'] = 'sac@inexnet.com.br';

                $SendMail = new Email;

                $SendMail->Enviar($email);

                $jSon['error'] = [$SendMail->getError()[0], $SendMail->getError()[1]];



                if ($SendMail->getResult()):

                    $Create->ExeCreate("tp_usuarios", $post);

                    $jSon['error'] = ["Cadastro com sucesso!", "accept"];

                endif;



            else:

                $jSon['error'] = ["Precisa concordar com os termos de uso!", "alert"];

            endif;

        endif;

        break;

    default :

        $jSon['error'] = ["Erro ao selecionar Ação!", "error"];

endswitch;



echo json_encode($jSon);

?>